List Metric Collections
GEThttps://api.confident-ai.com/v1/metric-collections
Lists all the available metric collections in your Confident AI project.
curl -X GET "https://api.confident-ai.com/v1/metric-collections" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"metricCollections": [
{
"id": "string",
"name": "string",
"multiTurn": true,
"metricSettings": [
{
"metric": {
"name": null
},
"activated": true,
"threshold": 0,
"includeReason": true,
"strictMode": true,
"sampleRate": 0
}
]
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
successbooleanThis is true if the list of metric collections was retrieved successfully.
dataobjectThis maps to a list of metric collections, which can be used to run evals remotely.
Show 1 propertyHide 1 property
metricCollectionslist of objectsThis is a list of metric collection objects.
Show 4 propertiesHide 4 properties
idstringThis is the id of the metric collection.
namestringThis is the name of the metric collection, which should be supplied to the evals API to run evaluations remotely.
multiTurnbooleanThis is true if the metric collection is a multi-turn collection, which only contains multi-turn metrics for multi-turn evaluations.
metricSettingslist of objectsThis is a list of settings for each metric in the collection, which can be configured on Confident AI's metric collection page.
Show 6 propertiesHide 6 properties
metricobjectThis is a metric object, which contains the metric name.
Show 1 propertyHide 1 property
namestringThis is the name of the metric.
activatedbooleanThis is true if the metric is activated. Only activated metrics are used for evaluations. Non-activated metrics are skipped.
thresholdnumberThis is the threshold for the metric, which determines if the metric passes or fails depending on if the metric score is above or below the threshold.
includeReasonbooleanThis is true if a metric's
include_reasonsetting is toggled on the Confident platform. If true, the reason for the metric score will be generated during evaluations.strictModebooleanThis is true if the metric is in strict mode. Metrics in strict mode output a binary score of 0 or 1, indicating pass or fail, as opposed to a continuous score from 0 to 1.
sampleRatenumberThis is the probability of the metric being ran for evaluation.